Skip to main content
POST
/
v2
/
commentannotations
/
count
/
get
Get Comment Annotations Count
curl --request POST \
  --url https://api.velt.dev/v2/commentannotations/count/get \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentIds": [
      "<string>"
    ],
    "userId": "<string>",
    "statusIds": [
      "<string>"
    ]
  }
}
'
{
  "result": {
    "status": "success",
    "message": "Comment count retrieved successfully.",
    "data": {
      "DOC_1": {
        "total": 4,
        "unread": 2
      },
      "DOC_2": {
        "total": 2,
        "unread": 0
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.velt.dev/llms.txt

Use this file to discover all available pages before exploring further.

Use this API to retrieve the count of comment annotations for specified documents, including both total and unread counts.
Prior to using this API, you must:
  • Enable advanced queries option in the console
  • Deploy v4 series of the Velt SDK.

Endpoint

POST https://api.velt.dev/v2/commentannotations/count/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Request

{
  "data": {
    "organizationId": "ORG_ID",
    "documentIds": ["DOC_1", "DOC_2"],
    "userId": "1.1",
    "statusIds": ["OPEN", "IN_PROGRESS"]
  }
}

Response

Success Response

{
  "result": {
    "status": "success", 
    "message": "Comment count retrieved successfully.",
    "data": {
      "DOC_1": {
        "total": 4,
        "unread": 2
      },
      "DOC_2": {
        "total": 2,
        "unread": 0
      }
    }
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Comment count retrieved successfully.",
    "data": {
      "DOC_1": {
        "total": 4,
        "unread": 2
      },
      "DOC_2": {
        "total": 2,
        "unread": 0
      }
    }
  }
}